<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product, $woocommerce_loop;

// Ensure visibility
if ( empty( $product ) || ! $product->is_visible() ) {
    return;
}

if ( !( isset( $woocommerce_loop['layout'] ) && ! empty( $woocommerce_loop['layout'] ) ) )
    $woocommerce_loop['layout'] = yit_get_option( 'shop-layout', 'with-hover' );

// view
if ( !( isset( $woocommerce_loop['view'] ) && ! empty( $woocommerce_loop['view'] ) ) )
    $woocommerce_loop['view'] = yit_get_option( 'shop-view', 'grid' );

//product countdown compatibility
global $ywpc_loop;
if ( $ywpc_loop && $ywpc_loop == 'ywpc_widget' ) {
    $woocommerce_loop['view'] = 'grid';
}
?>
<li <?php post_class(); ?>>

    <div class="product-wrapper">

    	<?php do_action( 'woocommerce_before_shop_loop_item' ); ?>
    
    	<?php
    		/**
    		 * woocommerce_before_shop_loop_item_title hook
    		 *
    		 * @hooked woocommerce_show_product_loop_sale_flash - 10
    		 * @hooked woocommerce_template_loop_product_thumbnail - 10
    		 */
    		do_action( 'woocommerce_before_shop_loop_item_title' );
    	?>                            
        
        <?php if ( $woocommerce_loop['layout'] == 'classic' && yit_get_option('shop-view-show-shadow') ) : ?>
        <div class="product-shadow"></div>
        <?php endif; ?>
    
        <div class="product-meta">
            <div class="product-meta-wrapper">

	            <?php
		            /**
		            * woocommerce_shop_loop_item_title hook
		            *
		            * @hooked woocommerce_template_loop_product_title - 10
		            */
		            do_action( 'woocommerce_shop_loop_item_title' );
	            ?>

            	    <div class="grid-add-to-cart"><?php woocommerce_template_loop_add_to_cart() ?></div>


            	<?php
            		/**
            		 * woocommerce_after_shop_loop_item_title hook
            		 *
            		 * @hooked woocommerce_template_loop_rating - 5
		             * @hooked woocommerce_template_loop_price - 10
            		 */
            		do_action( 'woocommerce_after_shop_loop_item_title' );
            	?>
				<?php $shop_view =  yit_get_option( 'shop-view' ); ?>
				<?php $show_description = yit_get_option( 'shop-view-show-description' ); ?>
				<?php $shop_layout = yit_get_option( 'shop-layout' ) ?>
					<div class="product-description">
					   <?php woocommerce_template_single_excerpt(); ?>
					</div>

            	<?php do_action( 'woocommerce_after_shop_loop_item' ); ?>
        	
            </div>
        </div>
    
    </div>

</li>